Bug 1497047 - service catalog failed to be deployed due to "No matched nodes" when setting osm_default_node_selector
Summary: service catalog failed to be deployed due to "No matched nodes" when setting ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.0
Assignee: ewolinet
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-29 05:55 UTC by Johnny Liu
Modified: 2017-11-28 22:13 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-11-28 22:13:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Comment 3 Johnny Liu 2017-10-09 09:21:51 UTC
Verified this bug with openshift v3.7.0-0.143.1 + openshift-ansible-3.7.0-0.143.1.git.0.89248df.el7.noarch, and PASS.


# oc describe po apiserver-glk9l
<--snip-->
Node-Selectors:	openshift-infra=apiserver
<--snip-->

No osm_default_node_seletor is appended to api server pod's Node-Selectors, so deployment is completed successfully.

Comment 7 errata-xmlrpc 2017-11-28 22:13:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.